com.dlsc.flexgantt.policy.layer

## Class DefaultGridLinePolicy

- java.lang.Object
- - com.dlsc.flexgantt.policy.AbstractPolicy
  - - com.dlsc.flexgantt.policy.layer.DefaultGridLinePolicy

- All Implemented Interfaces:
    IPolicy, IGridLinePolicy
  Direct Known Subclasses:
    TimeGranularityGridLinePolicy

      public class DefaultGridLinePolicy
      extends AbstractPolicy
      implements IGridLinePolicy

  The default implmementation of the grid line policy. For a general description of this policy please refer to the policy interface `IGridLinePolicy`.
  Since:
    1.0
  Version:
    $Revision: 1.4 $
  Author:
    Dirk Lemmermann

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultGridLinePolicy()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isMajorGridLinesVisible(IDatelineModel datelineModel, GridLineMode mode)` Determines whether the grid lines for the major time units will be shown or not.
    `boolean` | `isMinorGridLinesVisible(IDatelineModel datelineModel, GridLineMode mode)` Determines whether the grid lines for the minor time units will be shown or not.

    - ### Methods inherited from class com.dlsc.flexgantt.policy.AbstractPolicy

      `assertClass`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultGridLinePolicy

          public DefaultGridLinePolicy()

  - ### Method Detail

    - #### isMajorGridLinesVisible

          public boolean isMajorGridLinesVisible(IDatelineModel datelineModel,
                                                 GridLineMode mode)

      Description copied from interface: `IGridLinePolicy`
      Determines whether the grid lines for the major time units will be shown or not.
      Specified by:
        `isMajorGridLinesVisible` in interface `IGridLinePolicy`
      Parameters:
        `datelineModel` - the dateline model currently used by the dateline
        `mode` - the grid mode (show no grid, minor grid, major grid, combined grid)
      Returns:
        TRUE if the grid lines for the major time unit are visible

    - #### isMinorGridLinesVisible

          public boolean isMinorGridLinesVisible(IDatelineModel datelineModel,
                                                 GridLineMode mode)

      Description copied from interface: `IGridLinePolicy`
      Determines whether the grid lines for the minor time units will be shown or not.
      Specified by:
        `isMinorGridLinesVisible` in interface `IGridLinePolicy`
      Parameters:
        `datelineModel` - the dateline model currently used by the dateline
        `mode` - the grid mode (show no grid, minor grid, major grid, combined grid)
      Returns:
        TRUE if the grid lines for the minor time unit are visible

Copyright © 2006–2020 Dirk Lemmermann Software & Consulting. All rights reserved.